<template>
  <div class="container mt-5">
    <h2>Cadastro de Técnicos</h2>
        <button class="btn btn-danger float-right" style="height: 40px">
      <router-link
        class="nav-link"
        style="color: white; margin-top: -10px"
        to="/homeTecnico"
        >voltar</router-link
      >
    </button>
    <div class="panel-group">
      <div class="panel panel-default">
        <div class="card-header">
          <div class="form-group row">
        
            <div class="card-body">
              <form @submit.prevent="salvar">
                <div class="form-group row">
                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="nome"
                      ref="nome"
                      v-model="tecnico.nome"
                      placeholder="nome"
                      required
                    />
                  </div>
                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="telefone"
                      ref="telefone"
                      v-model="tecnico.telefone"
                      placeholder="telefone"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="email"
                      v-model="tecnico.email"
                      placeholder="Email"
                      required
                    />
                  </div>

                  <div class="col-lg-6">
                    <input
                      type="text"
                      class="form-control"
                      name="cpf"
                      v-model="tecnico.cpf"
                      placeholder="cpf"
                      required
                    />
                  </div>
                </div>
                <div class="form-group row">
                  <div class="col-lg-9">
                    <input
                      type="text"
                      class="form-control"
                      name="senha"
                      v-model="tecnico.senha"
                      placeholder="Senha"
                      required
                    />
                  </div>
                  <!-- <a class="btn btn-primary text-white float-right"  v-show="!tipo"  >
                      <i class="fas fa-sync"></i>Atualizar
                    </a> -->
                  <a
                    type="submit"
                    class="btn btn-success text-white float-right text-white"
                    value="Salvar"
                    @click="salvar()"
                  >
                    <i class="fas fa-plus-circle"></i>salvar
                  </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      tecnicos: null,
      cor: null,
      checkKey: false,
      tecnico: {
        id: null,
        nome: null,
        email: null,
        cpf: null,
        senha: null,
        telefone: null,
      },
    };
  },
  methods: {

    salvar() {
        axios
          .put(this.$MainURL + "/tecnicos/" + this.tecnico.user_id, this.tecnico, {
            headers: {
              Authorization: `Bearer ${localStorage.getItem("token")}`,
            },
          })
          // eslint-disable-next-line no-unused-vars
          .then((response) => {
            alert(`Ok, Alterado com sucesso`);
          });
    },
    editar() {
      axios
        .get(this.$MainURL + "/tecnicoedit",{
          headers: {
            Authorization: `Bearer ${localStorage.getItem("token")}`,
          },
        })
        .then((response) => (this.tecnico = response.data));
      this.$refs.nome.focus();
    },
    sal(id) {
      setTimeout(() => {
        this.tecnico.id = id;
        this.axios
          .post(this.$MainURL + "/tecnicos", this.tecnicos, {
            headers: {
              Authorization: `Bearer ${localStorage.getItem("token")}`,
            },
          })
          .then(this.GoBack());
      }, 3000);
    },
    GoBack() {
      window.history.length > 1 ? this.$router.go(-1) : this.$router.push("/");
    },
  },
  mounted() {
    this.editar();
  },
};
</script>

<style scoped></style>
